﻿@model MoviesViewModel
@{
    ViewData["Title"] = "Show Movies By Release Date";
}

<h2>@ViewData["Title"]</h2>
<div class="row">
    <div class="col-md-4">
        <section>
            <form asp-controller="Movie" asp-action="ShowMoviesByReleaseDate" method="post">
                <div asp-validation-summary="All" class="text-danger"></div>
                <h4>Add start and end year.</h4>
                <hr />
                <label for="start">Enter Start Year: </label>
                <input type="month" id="start" name="txtFirst">
                <label for="start">Enter End Year: </label>
                <input type="month" id="start" name="txtSecond"><br /><br />

                <button type="submit" class="btn btn-default">Search</button>
            </form>
        </section>
    </div>
</div>

@if (Model != null && Model.Movies != null && !Model.Movies.Any())
{
    <p>No results found!</p>
}

@{
    if (Model != null && Model.Movies != null)
    {
        <partial name="_ShowAllMoviesPartial" model="Model" />
    }
}

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}
